Bug 230203

Summary: net/opal fail to build with message: cannot initialize a parameter of type 'unsigned int' with an rvalue of type 'nullptr_t'
Product: Ports & Packages Reporter: VVD <vvd>
Component: Individual Port(s)Assignee: freebsd-gnome mailing list <gnome>
Status: Closed FIXED    
Severity: Affects Many People CC: joachimlindback, np, swills
Priority: --- Flags: bugzilla: maintainer-feedback? (gnome)
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Replace "NULL" on "0" in initialization of "unsigned int options" in include/h323/h323ep.h none

Description VVD 2018-07-30 22:27:38 UTC
Created attachment 195661 [details]
Replace "NULL" on "0" in initialization of "unsigned int options" in include/h323/h323ep.h

After update gcc from 6.4 to 7.3 net/opal fail to build with error message:

> In file included from /tmp/work/usr/ports/net/opal/work/opal-3.10.10/src/opal/console_mgr.cxx:39:
> /tmp/work/usr/ports/net/opal/work/opal-3.10.10/include/h323/h323ep.h:148:20: error: cannot initialize a parameter of type
>       'unsigned int' with an rvalue of type 'nullptr_t'
>      unsigned int options = NULL,      ///<  options to pass to conneciton

Patch is trivial - replace NULL on 0.

Just put my patch in net/opal/files - work for me on 11.2 amd64 and i386.
Comment 1 VVD 2018-11-10 02:27:43 UTC
Can anybody commit the patch?
Comment 2 Hans-Joachim Lindback 2018-12-02 17:24:41 UTC
Patch compiled also for me. 11-2-p5 i386
Comment 3 VVD 2019-01-01 13:41:20 UTC
5 months left for 1 line patch!
How to set maintainer timeout?
Comment 4 VVD 2019-01-01 14:33:27 UTC
(In reply to VVD from comment #3)
> 5 months left for 1 line patch!
s/left/have passed/
Comment 5 VVD 2019-01-09 05:02:34 UTC
Same on 12.0 i386 and amd64.
Comment 6 commit-hook freebsd_committer 2019-01-27 14:18:54 UTC
A commit references this bug:

Author: swills
Date: Sun Jan 27 14:18:19 UTC 2019
New revision: 491353
URL: https://svnweb.freebsd.org/changeset/ports/491353

Log:
  net/opal: fix build with H323 option enabled

  PR:		230203
  Submitted by:	VVD <vvd@unislabs.com>

Changes:
  head/net/opal/files/patch-include_h323_h323ep.h
Comment 7 Steve Wills freebsd_committer 2019-01-27 14:20:31 UTC
Committed, thanks for the patch, sorry it took so long to commit.
Comment 8 VVD 2019-01-27 14:50:00 UTC
Thanks you!